# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "<stdin>"
program Himage

  use sep

  implicit none

  integer :: n1, n2, j, depth
  real :: o1, d1, o2, d2
  real, dimension(:,:), allocatable :: data

  call sep_init()

  call from_history("n1", n1)
  call from_history("o1", o1)
  call from_history("d1", d1)
  call from_history("n2", n2)
  call from_history("o2", o2)
  call from_history("d2", d2)

  call from_param("depth", depth)

  allocate(data(n1,n2))

  call sep_read(data)

  data(:,1:n2/3) = 0.
  data(:,n2*2/3:n2) = 0.

  data(depth,1:n2/3) = 1.0
  data(depth,n2*2/3:n2) = 1.0

  do j=n2/3,n2*2/3
    depth=sum(maxloc(data(:,j)))
! write(0,*) "depth", depth
    data(:,j) = 0.
    data(depth,j) = 1.
  end do

  call to_history("n1", n1)
  call to_history("o1", o1)
  call to_history("d1", d1)
  call to_history("n2", n2)
  call to_history("o2", o2)
  call to_history("d2", d2)

  call sep_write(data)

  call sep_close()
end program
