program Der

  use sep

  implicit none

  integer                           :: n1, n2, i, j
  real                              :: o1, d1, o2, d2
  real, dimension(:,:), allocatable :: data, temp

  call sep_init()

  call from_history("n1", n1)
  call from_history("o1", o1)
  call from_history("d1", d1)
  call from_history("n2", n2)
  call from_history("o2", o2)
  call from_history("d2", d2)

  allocate(data(n1,n2), temp(n1,n2))

  call sep_read(data)

  temp = data

  do j=1,n2
    do i=2,n1
      data(i,j) = (temp(i,j) - temp(i-1,j))*i*i
    end do
  end do

!  do i=1,50
!    data(i,:) = data(i,:)*(i-1)/(50)
!  end do

  data(1,:) = 0.
  data(n1,:) = 0.

  data = data/maxval(abs(data))/2.

  call to_history("n1", n1)
  call to_history("o1", o1)
  call to_history("d1", d1)
  call to_history("n2", n2)
  call to_history("o2", o2)
  call to_history("d2", d2)

  call sep_write(data)

  call sep_close()
end program
